#
# spec file for package kdrill (Version 5.10)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         kdrill
Copyright:    distributable
Group:        X11/Applications
Requires:     edict
# Provides:
Autoreqprov:  on
Version:      5.10
Release:      166
URL:          http://www.bolthole.com/kdrill/
Source0:      http://www.bolthole.com/kdrill/kdrill5.10.tar.gz
Patch:        kdrill5.10.patch
BuildRoot:    /var/tmp/%{name}-root
Summary:      "Kanji Drill", kanji quiz and Japanese dictionary for X windows.
# Obsoletes:

%description
KDrill stands for "Kanji Drill". It's a program to help people learn
kanji and kana (the Japanese charater set). It uses Jim Breen's EDICT
Japanese-English dictionary and also doubles as a dictionary lookup
program. Kdrill runs under the X window system.

Authors:
--------
    Philip Brown <phil@bolthole.com>

SuSE series: j

%prep 
%setup -n %{name}%{version}
%patch0 -p1

%build
xmkmf 
make Makefiles
make depend
make

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
make install DESTDIR=$RPM_BUILD_ROOT
make install.man  MANSUFFIX=1 LIBMANSUFFIX=3 DESTDIR=$RPM_BUILD_ROOT 

%files
%doc INSTALL LICENSE NOTES README TODO PATCHLIST OLD.PATCHLIST
/usr/X11R6/bin/kdrill
/usr/X11R6/lib/X11/app-defaults/KDrill
%doc /usr/X11R6/man/man1/kdrill.1*

%changelog -n kdrill
* Mon Apr 09 2001 - ro@suse.de
- fixed group tag
* Mon Sep 11 2000 - mfabian@suse.de
- remove %%{?suse_update_config}, it is not needed and makes the
  build fail on 6.4K-i386
* Fri Sep 08 2000 - mfabian@suse.de
- new package kdrill 5.10
